VMTKSURFACETRANSFORMTORAS(1)

NAME
vmtksurfacetransformtoras - vmtk script vmtksurfacetransformtoras

DESCRIPTION
Automatic piping vmtksurfacetransformtoras Parsing options vmtksurfacetransformtoras

vmtksurfacetransformtoras : transform a surface generated in XYZ image

    space into RAS space

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-matrix XyzToRasMatrixCoefficients (float,16); default=None:

    coefficients of XYZToRAS transform matrix

-invert InvertMatrix (bool,1); default=0: invert

    XyzToRasMatrixCoefficients matrix, additional transforms to surface in RAS space requires the inverse transform reverting the surface back to an axis aligned frame

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface